io.undertow.util

## Class MultipartParser.ParseState

- java.lang.Object
- - io.undertow.util.MultipartParser.ParseState

Enclosing class:
  MultipartParser

    public static class MultipartParser.ParseState
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ParseState(ByteBufferPool bufferPool, MultipartParser.PartHandler partHandler, String requestCharset, byte[] boundary)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isComplete()`
`void` `parse(ByteBuffer buffer)`
`void` `setCharacterEncoding(String encoding)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParseState

    public ParseState(ByteBufferPool bufferPool,
                      MultipartParser.PartHandler partHandler,
                      String requestCharset,
                      byte[] boundary)

### Method Detail

#### setCharacterEncoding

    public void setCharacterEncoding(String encoding)

#### parse

    public void parse(ByteBuffer buffer)
               throws IOException

Throws:
  `IOException`

#### isComplete

    public boolean isComplete()